MatthewA2000
Contributor
Contributor

Cannot Import OVF into ESXi 3.5

Using a seperate process (python-vm-builder), I am building an ESX/ESXi compliant image that I have confirmed can be uploaded, imported and started in Workstation, ESX 3.0, ESXi 3.5 and even Server 2.0+.

I'm trying to go into the next step now, and convert this ESXi Image into a single OVF archive for even easier deployments.

Using the latest OVF Tool I have successfully created the new .ovf and zipped it up inside a tar.gz'd. On my Windows box, I then extract it (using WinRAR), then using 'Import' in VIC try to import it. When I select the OVF and click next it then throws the below error:

An error occurred while parsing the OVF descriptor

Unable to parse XML element 'Envelope'

What am I doing wrong?

I have attached both the original VMX and the new OVF.

Please help!

Thank you.

0 Kudos
15 Replies
admin
Immortal
Immortal

ovftool 1.0 created 1.0 OVFs and and my guess is that you are importing it using VI Client 3.5.

VI Client 3.5 only supports 0.9 OVFs so you will have to use ovftool to deploy your OVF to your esx 3.0 esxi 3.5, and server 2.0+

to import it into a esx30 and esxi3.5 host use:

ovftool path_to_my_ovf.ovf vi://USERNAME:PASSWORD@HOSTNAME/

to import it into server 2+ use:

ovftool path_to_my_ovf.ovf vi://USERNAME:PASSWORD@HOSTNAME:8333/

instead of zipping the ovf, disk and mf files you could use the ova option when exporting the vm build from python-vm-builder

ovftool path_to_my_vmx.vmx c:\Temp\MyVM.ova

ova is a tar format archive of the ovf, disk and manifest files.

eske

0 Kudos
samu3l
Contributor
Contributor

Hi Eske,

Any idea where i can download 0.9?

0 Kudos
admin
Immortal
Immortal

Im sorry ovftool 0.9 (the java version) can not be downloaded any more.

I have a hard time to see what you will use it for? (except if you are on mac os x)

eske

0 Kudos
samu3l
Contributor
Contributor

Hi Eske, i've managed to convert it without using the ovf tool but instead of the vmware workstation. Thanks btw. Smiley Happy

0 Kudos
lqvan
Contributor
Contributor

Hi Samu3l,

How did you convert it using workstation? I'm having the same issues as you did and tried to deploy the VM using the command line suggested on this post. However, I received an error: - Line 25: Unsupported hardware family 'vmx-07'.

The image is of openSUSE 32 Bit edition, so I don't see why my dell would have a hardware issue with it.

Thanks,

LQ

0 Kudos
samu3l
Contributor
Contributor

Hi Iqvan,

Try this.

VMware Workstation > File > Import or Export

0 Kudos
admin
Immortal
Immortal

Could you describe how you get this error. normal this error only shows if the version of the VMware workstation you are using do not support hardware version 7. A quick work around could be to include a vmx-07, vmx-04 into the ovf file if the hardware represented in the OVF files is working on hardware version 4

eske

0 Kudos
JamesDavis
Contributor
Contributor

Follow up to Eske's response..

vmx-07 is only compatible with vSphere4 or Workstation7 - but chances are it will work on an older host with a small edit to the ovf file.

Edit the ovf file (in any text editor - eg WordPad). Replace vmx-07 with vmx-04. Close and save.

However when you now run the ovftool to import, you will get an error "SHA1 digest of file xxxx.ovf does not match manifest".

You can work around this by simply deleting or renaming the manifest file - the ovftool will give a warning to say no manifest file, but will continue to import the VM. I used the import command given at the top of the thread -

ovftool.exe path_to_ovf\xxxx.ovf vi:username:password@hostname

0 Kudos
Cameron2007
Hot Shot
Hot Shot

you may also be able to convert the ovf an import into ESX by using VMware standalone convertor from inside a VM and importing the ovf from there.

0 Kudos
sembsl
Contributor
Contributor

VMware sucks so badly, I have an OVA from Virtual Box, I want to import it into ESX4.1

wmware ovftool does not help, "vmware vcenter converter standalone" does not convert.

What is the point of a converter that does not convert?

And whats with the silly names with "v" at the start? vcenter, vsphere?

I wish you a vNice vDay.

0 Kudos
admin
Immortal
Immortal

You could help us getting ovftool better if you told us what was wrong!

eske

0 Kudos
louis00
Contributor
Contributor

not sure if i'm hijacking this thread. i am trying to import a citrix xenserver ovf (created from a xen appliance using xenconvert). when i try to import, i'm getting the following error

"line 1: could not parse the document: 'encoding specified in XML declaration is incorrect"

i have attached a copy of the ovf created from xen. please advise as im trying to migrate all the vms on xenserver to vSphere 5.

thank you

edit:

running the ovftool - getting the following error

D:\Program Files\VMware\VMware OVF Tool>ovftool.exe e:\vm_export\wsapp2526v_xen\wsapp2526v.xva e:\vm_export\wsapp2526v
Opening OVF source: e:\vm_export\wsapp2526v_xen\wsapp2526v.xva
Error: Failed to open OVF descriptor
Completed with errors

D:\Program Files\VMware\VMware OVF Tool>ovftool.exe e:\vm_export\wsapp2526v_xen\wsapp2526v.ovf e:\vm_export\wsapp2526v
Opening OVF source: e:\vm_export\wsapp2526v_xen\wsapp2526v.ovf
Warning: No manifest file
Error:
- Line 1: Could not parse the document: 'encoding specified in XML declaration
is incorrect'.
Completed with errors

0 Kudos
AntonL1
Contributor
Contributor

Same problem here with newest ovftool 3.0.1.

On two old systems (1gb ram, one cpu) i setup esxi 3.5 u5 create vm on first one, succesfully downloaded to my pc like:

ovftool vi://root@192.168.1.100/testvm1 /home/u1/testvm1.ovf

After it i have 3 files ovf mf and vmdk, after it i try upload it on second esxi 3.5 u5 host:

ovftool testvm1.ovf vi://root@192.168.1.200

All i get after pass asking:

Error: vmodl.fault.InvalidRequest
Completed with errors

How to resolv it?

0 Kudos
Kemacal
Contributor
Contributor

If you don't need to do the manifest check and/or don't really need the ISO i've gotten around this by adding the flags:

--noImageFiles --skipManifestCheck

Per the suggestion on this thread:

ovftool VM->ova/f fails with SHA1 digest of file . . . disk.iso does not match manifest"

0 Kudos
cartmigration
Contributor
Contributor

Good advise ever. Thanks!

0 Kudos